Bug 145868 - rhn-applet has problems with GUI
rhn-applet has problems with GUI
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
Depends On:
  Show dependency treegraph
Reported: 2005-01-22 16:12 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 18:05:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-01-22 16:12:39 EST
Description of problem:

After a series of updates done on 2005-Jan-21 (pygtk2-2.5.2-1
looks like the most likely "culprit") rhn-applet-gui refuses
to run.  An attempt to start from a command-line ends up with
the following in a terminal:

/usr/share/rhn/rhn_applet/rhn_applet.py:263: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.nag_timeout_tag = gtk.timeout_add(self.nag_interval * 1000,
/usr/share/rhn/rhn_applet/rhn_applet.py:385: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.animate_timeout_tag = gtk.timeout_add(int(math.floor(1000 *
ANIMATION_TOTAL_TIME/len(frames))), self.animate_handler)
/usr/share/rhn/rhn_applet/rhn_applet.py:290: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.refresh_timeout_tag = gtk.timeout_add(when,
self.refresh_handler, force)
/usr/share/rhn/rhn_applet/rhn_applet.py:955: GtkDeprecationWarning:
gtk.mainloop is deprecated, use gtk.main instead

followed by an alert that the program quit unexpectedly.  No other

rhn-applet-tui still runs fine and brings an expected information.

That behaviour is the same on i386 and x86_64 installations.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Michal Jaegermann 2005-01-27 14:29:17 EST
Recent rawhide updates make this to work again.  This indeed looks
like pygtk2 although I was not trying to check.
Comment 2 John Thacker 2006-10-29 17:36:51 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.
Comment 3 Michal Jaegermann 2006-10-29 18:05:49 EST
See comment #1

Note You need to log in before you can comment on or make changes to this bug.